Skip to main content
GET
/
jobs
/
{job_id}
/
stream
Stream job updates
curl --request GET \
  --url https://api.varg.ai/v1/jobs/{job_id}/stream \
  --header 'Authorization: Bearer <token>'
"event: status\ndata: {\"job_id\":\"job_a1b2c3d4\",\"status\":\"processing\",\"model\":\"fal:kling-v2.5\",\"created_at\":\"2026-02-13T10:00:00Z\"}\n\nevent: status\ndata: {\"job_id\":\"job_a1b2c3d4\",\"status\":\"completed\",\"model\":\"fal:kling-v2.5\",\"output\":{\"url\":\"https://s3.varg.ai/o/job_a1b2c3d4.mp4\",\"media_type\":\"video/mp4\"},\"created_at\":\"2026-02-13T10:00:00Z\",\"completed_at\":\"2026-02-13T10:02:30Z\"}\n"

Authorizations

Authorization
string
header
required

API key from varg.ai/dashboard.

Pass as Authorization: Bearer varg_xxx.

Path Parameters

job_id
string
required

The job ID to stream

Response

SSE stream of job status events

The response is of type string.